package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import com.bwie.common.utils.JwtUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("auth")
public class AuthController {

    @Autowired
    private AuthService authService;

    /**
     * 登录
     */
    @PostMapping("login")
    public Result login(@RequestBody User user){
        JwtResponse jwtResponse = authService.login(user);
        return Result.success(jwtResponse);
    }
    /**
     * 获取用户信息
     */
    @PostMapping("info")
    public Result info(HttpServletRequest request){
        User info = authService.info(request);
        return Result.success(info);
    }

}
