package com.bwie.auth.feign.factory;

import com.bwie.auth.feign.UserFeign;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class UserFeignFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {
            @Override
            public Result<User> selectByTel(String userTel) {
                return Result.error("网络异常");
            }
        };
    }
}
