package com.bwie.controller;

import com.bwie.common.domain.Record;
import com.bwie.common.domain.response.RecordResp;
import com.bwie.common.result.Result;
import com.bwie.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("record")
public class RecordController {
    @Autowired
    private RecordService recordService;

    /**
     * 添加记录表
     * @param bicycleId
     * @return
     */
    @PostMapping("addRecord")
    public Result addRecord(@RequestParam Integer bicycleId){
        int i = recordService.addRecord(bicycleId);
        return i>0?Result.success("","租赁成功"):Result.error("租赁失败");
    }

    /**
     * 查询记录表
     * @return
     */
    @PostMapping("findList")
    public Result findList(){
        List<RecordResp> list = recordService.findList();
        return Result.success(list);
    }

    /**
     * 结束行程
     * @param record
     * @return
     */
    @PostMapping("finish")
    public Result finish(@RequestBody Record record){
        int finish = recordService.finish(record);
        return finish>0?Result.success("","成功"):Result.error("失败");
    }
}
