package com.bwie.feign;



import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.feign.factory.UserFeignFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

@FeignClient(name = "bwie-system",fallbackFactory = UserFeignFactory.class)
public interface UserFeign {
    @PostMapping("user/updUserMoney/{money}/{userId}")
    public Result updUserMoney(@PathVariable BigDecimal money, @PathVariable Integer userId);
    @PostMapping("user/findById/{userId}")
    public Result<User> findById( @PathVariable Integer userId);
}
