package com.bwie.feign.factory;


import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.feign.UserFeign;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

@Component
public class UserFeignFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {

            @Override
            public Result updUserMoney(BigDecimal money, Integer userId) {
                return Result.error();
            }

            @Override
            public Result<User> findById(Integer userId) {
                return Result.error();
            }
        };
    }
}
