package com.bwie.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;

@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private UserService userService;

    /**
     * 通过手机号查询
     * @param userTel
     * @return
     */
    @PostMapping("selectByTel")
    public Result<User> selectByTel(@RequestParam String userTel){
        User user = userService.selectByTel(userTel);
        return Result.success(user);
    }
    /**
     * 查询用户
     */
    @PostMapping("findUser")
    public Result findUser(HttpServletRequest request){
        User user = userService.findUser(request);
        return Result.success(user);
    }

    @PostMapping("updUserMoney/{money}/{userId}")
    public Result updUserMoney(@PathVariable BigDecimal money, @PathVariable Integer userId){
        int i = userService.updUserMoney(money, userId);
        return i>0? Result.success(): Result.error();
    }
    @PostMapping("findById/{userId}")
    public Result<User> findById( @PathVariable Integer userId){
        User user = userService.findById(userId);
        return Result.success(user);
    }
}
