package com.bwie.service.impl;

import com.bwie.common.constants.TokenConstants;
import com.bwie.common.domain.User;
import com.bwie.common.utils.JwtUtils;
import com.bwie.mapper.UserMapper;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.math.BigDecimal;

@Service
public class UserServiceImpl implements UserService {


    @Autowired
    private UserMapper userMapper;


    /**
     * 通过手机号查询
     * @param userTel
     * @return
     */
    @Override
    public User selectByTel(String userTel) {
        return userMapper.selectByTel(userTel);
    }

    @Override
    public User findUser(HttpServletRequest request) {
        String token = request.getHeader(TokenConstants.TOKEN);
        String userId = JwtUtils.getUserId(token);
        return userMapper.findUser(userId);
    }

    @Override
    public int updUserMoney(BigDecimal money, Integer userId) {
        return userMapper.updUserMoney(money,userId);
    }

    @Override
    public User findById(Integer userId) {
        return userMapper.findById(userId);
    }
}
